Package: groovy.ui.text

## [Java] Class LexerNode

- groovy.ui.text.StructuredSyntaxDocumentFilter.LexerNode

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Style` | `defaultStyle`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Style` | `getDefaultStyle()`
    `` | `boolean` | `isInitialized()` @return true if initialised
    `` | `void` | `parse(CharBuffer buffer, int offset, int length)` @param buffer
    `` | `void` | `putChild(String regexp, StructuredSyntaxDocumentFilter.LexerNode node)` @param regexp
    `` | `void` | `putChild(String[] regexps, StructuredSyntaxDocumentFilter.LexerNode node)` @param regexps
    `` | `void` | `putStyle(String regexp, Style style)` @param regexp
    `` | `void` | `putStyle(String[] regexps, Style style)` @param regexps
    `` | `void` | `removeChild(String regexp)` @param regexp
    `` | `void` | `removeStyle(String regexp)` @param regexp
    `` | `void` | `removeStyle(String[] regexps)` @param regexps
    `` | `void` | `setDefaultStyle(Style style)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Style defaultStyle

  - ### Method Detail

    - #### public Style getDefaultStyle()

    - #### public boolean isInitialized()

      Returns:
        true if initialised

    - #### public void parse(CharBuffer buffer, int offset, int length)

      throws:
        BadLocationException
      Parameters:
        buffer
        offset
        length

    - #### public void putChild(String regexp, StructuredSyntaxDocumentFilter.LexerNode node)

      Parameters:
        regexp
        node

    - #### public void putChild(String[] regexps, StructuredSyntaxDocumentFilter.LexerNode node)

      Parameters:
        regexps
        node

    - #### public void putStyle(String regexp, Style style)

      Parameters:
        regexp
        style

    - #### public void putStyle(String[] regexps, Style style)

      Parameters:
        regexps
        style

    - #### public void removeChild(String regexp)

      Parameters:
        regexp

    - #### public void removeStyle(String regexp)

      Parameters:
        regexp

    - #### public void removeStyle(String[] regexps)

      Parameters:
        regexps

    - #### public void setDefaultStyle(Style style)